%define version	0.03
%define release	4mdk
%define module	Video-Frequencies

Name:		perl-%{module}
Summary:	Perl interface to the Video4linux tuner frequencies.
Group:		Development/Perl
Version:	%{version}
Release:       	%{release}
License:	GPL or Artistic
URL:		http://ivtv.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/ivtv/%{module}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:	noarch
#Requires: perl, perl-base
BuildRequires:	perl-devel

%description
This package provides a table of hashes that represent all the current
frequency mappings that are used by Video4Linux programs.

Do perldoc Video::Frequencies to get complete instructions, etc.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README MANIFEST COPYING Changes
%{perl_vendorlib}/Video/Frequencies.pm
%{_mandir}/man3/Video::Frequencies.3pm*

%changelog
* Thu Jun 24 2004 Stefan van der Eijk <stefan@mandrake.org> 0.03-4mdk
- initial Mandrake package

* Mon Dec 29 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.03-3thac
- Cleaned up spec file

* Wed Oct 29 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.03-2thac
- Fixed naming to perl-Video-Frequencys

* Tue Oct 28 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.03-1thac
- Rebuilt for Mandrake 9.2

* Wed Jun 18 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Initial build.
